FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 02-16-2008, 10:59 PM
Allan Gottlieb
 
Default gnucash won't start--PLEASE help

I use gnucash nearly every day and today it fails to start.
I sent in a bug report. Here are the crash details.

Distribution: Gentoo Base System release 1.12.10
Gnome Release: 2.20.3 2008-02-01 (Gentoo)
BugBuddy Version: 2.20.1

System: Linux 2.6.23-gentoo-r3-ajg1 #1 SMP Wed Jan 9 13:01:47 EST 2008 i686
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: No
Accessibility: Disabled
GTK+ Theme: Crux
Icon Theme: Crux

Memory status: size: 0 vsize: 0 resident: 0 share: 0 rss: 0 rss_rlim: 0
CPU usage: start_time: 0 rtime: 0 utime: 0 stime: 0 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 0



----------- .xsession-errors (409 sec old) ---------------------
alarm-notify.c:337 (alarm_msgport_replied) - 0x80be4b8: Replied to GUI thread
alarm-notify.c:349 (alarm_msg_received) - 0xb4d03a28: Received at thread b1cf9b90
alarm-queue.c:720 (query_objects_changed_async) -evolution-alarm-notify-Message: Setting timeout for 653 1203205800 1203205147
evolution-alarm-notify-Message: Sat Feb 16 18:50:00 2008
evolution-alarm-notify-Message: Sat Feb 16 18:39:07 2008
** Message: failed to load session from /home/gottlieb/.nautilus/saved-session-0ECE2T
crtc 1: disable
screen 0: 1600x1200 314x236 mm 129.15dpi
crtc 0: 1600x1200 60.0 +0+0 "VGA"
** Message: drive = 0
** Message: volume = 0
No running windows found
non-network local connections being added to access control list

I tried logging in as root, which I "never" do and the same failure.

I re-emerged gnucash, no help.

I keep backups of the data file.

cd ~/.gnucash/books; ls -l yields

gottlieb@ajglap ~/.gnucash/books $ ls -l
total 196
-rw-r--r-- 1 gottlieb gottlieb 230 Sep 4 2004 %2Fhome%2Fgottlieb%2Fshare%2Ffinancial%2Fgnucash%2 Fchecking.gnucash
-rw-rw-r-- 1 gottlieb gottlieb 62803 Sep 9 2006 %2Flocal%2Fallan%2Fgottlieb%2Fshare%2Ffinancial%2F gnucash%2Fchecking.gnucash
-rw-r--r-- 1 gottlieb gottlieb 1169 Feb 15 00:09 checking.gnucash
-rw-rw-r-- 1 gottlieb gottlieb 114885 May 23 2003 file%3A%2Flocal%2Fallan%2Fgottlieb%2Fshare%2Ffinan cial%2Fgnucash%2Fchecking.gnucash
gottlieb@ajglap ~/.gnucash/books $


in ~/share/financial/gnucash I have checking.gnucash and a large
number of checking.gnucash.{xac, log} files

I believe the xac are the backups so I moved one to gnucash.checking
but again, gnucash fails to start.

Even though I knew it wouldn't help, I rebooted as well

If I try to start gnucash from a gnome-terminal the following appears
on the terminal

160a84fe-5424-04cd-27e767bb-1c94c875 is dumped

I am basically out of ideas, but REALLY want my gnucash back.

Thanks in advance for any help

allan
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-17-2008, 03:11 AM
Joseph
 
Default gnucash won't start--PLEASE help

Same here. When I try to start gnucash I get:
Segmentation fault

Though, gnucash is working OK on my other backup system, so I don't know what is going on.

--
#Joseph
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-17-2008, 03:17 AM
Allan Gottlieb
 
Default gnucash won't start--PLEASE help

At Sat, 16 Feb 2008 21:11:57 -0700 Joseph <syscon@interbaun.com> wrote:

> Same here. When I try to start gnucash I get:
> Segmentation fault
>
> Though, gnucash is working OK on my other backup system, so I don't
> know what is going on.

I built it on another machine just now and it works there too.
I copied over my database as well.

I filed a bug http://bugs.gentoo.org/show_bug.cgi?id=210431

In that bug I wrote

I somewhat suspect libpcre since I recently emerged it and have seen
error reports in b.g.o. I do have the unicode use flag and I reemerged
libpcre, goffice, and gnucash. No change.

I was really worried for a while since I really do need gnucash (at
least read only).

Hopefully this will be resolved soon.

allan
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-17-2008, 03:33 AM
Joseph
 
Default gnucash won't start--PLEASE help

On 02/16/08 23:17, Allan Gottlieb wrote:

At Sat, 16 Feb 2008 21:11:57 -0700 Joseph <syscon@interbaun.com> wrote:


Same here. When I try to start gnucash I get:
Segmentation fault

Though, gnucash is working OK on my other backup system, so I don't
know what is going on.


I built it on another machine just now and it works there too.
I copied over my database as well.

I filed a bug http://bugs.gentoo.org/show_bug.cgi?id=210431

In that bug I wrote

I somewhat suspect libpcre since I recently emerged it and have seen
error reports in b.g.o. I do have the unicode use flag and I reemerged
libpcre, goffice, and gnucash. No change.

I was really worried for a while since I really do need gnucash (at
least read only).

Hopefully this will be resolved soon.

allan


I'll tell you what will happen, they will close the "bug" with some silly message "not enough info" etc.
The same way when I file a bug about new php-5.2.5_p20080206 when it came out.
The bug was dismissed "closed" the same day I file it, week later the php was downgraded to current one
php-5.2.5-r1


I've been with Gentoo for over 4-years and I am getting tired of babysitting the system on the weekends.
Maybe I'll try Debian stable. I need something that works.

--
#Joseph
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-17-2008, 04:21 AM
Allan Gottlieb
 
Default gnucash won't start--PLEASE help

At Sat, 16 Feb 2008 21:33:35 -0700 Joseph <syscon@interbaun.com> wrote:

> I'll tell you what will happen, they will close the "bug" with some
> silly message "not enough info" etc.

I hope you are wrong, but of course time will tell.

> The same way when I file a bug about new php-5.2.5_p20080206 when it
> came out. The bug was dismissed "closed" the same day I file it,
> week later the php was downgraded to current one php-5.2.5-r1

In some sense the downgrade was the response to your bug.
Of course the bug report should not have been dismissed

> I've been with Gentoo for over 4-years and I am getting tired of
> babysitting the system on the weekends.
> Maybe I'll try Debian stable. I need something that works.

I hope you don't. By filing bugs when bugs do exist, you are helping
us all; even if you are not treated as you should be.

Also your previous msg stating that you hit the same problem that I
did was comforting to me. Thanks for sending it.

sincerely,
allan

--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-17-2008, 05:48 AM
Joseph
 
Default gnucash won't start--PLEASE help

On 02/17/08 00:21, Allan Gottlieb wrote:

The same way when I file a bug about new php-5.2.5_p20080206 when it
came out. The bug was dismissed "closed" the same day I file it,
week later the php was downgraded to current one php-5.2.5-r1


In some sense the downgrade was the response to your bug.
Of course the bug report should not have been dismissed


I've been with Gentoo for over 4-years and I am getting tired of
babysitting the system on the weekends.
Maybe I'll try Debian stable. I need something that works.


I hope you don't. By filing bugs when bugs do exist, you are helping
us all; even if you are not treated as you should be.

Also your previous msg stating that you hit the same problem that I
did was comforting to me. Thanks for sending it.

sincerely,
allan


I recompile / downgraded "libpcre" - didn't help; next I downgraded "guile-1.8.2" to "guile-1.6.8" (followed by
revdep-rebild) so two packages were rebuild:

dev-libs/g-wrap
app-office/gnucash

Now, gnucash is starting normally no more "segmentation errors"
But I'm not sure if this is the solution since on my Gentoo backup gnucash is working OK with guile-1.8.2
Maybe I'll follow the advise of "jstead1" from his post:
http://forums.gentoo.org/viewtopic-t-601976-highlight-gnucash.html

Another problem right now I have is that "udept" package command: dep -k "package_name" is not reporting installed
packages correctly anymore.

In addition when I re-emerged "php" I did not receive any email notification about this package.
Next, I upgraded to kernel "linux-2.6.23-gentoo-r8" and my when I start or shutdown I get a blank screen.

Going back to my rant, three years ago if somebody ask me about Linux I would recommend Gentoo to anybody it was
relatively stable and easy to use; if somebody ask me about Gentoo a year ago I wouldn't say anything; if somebody ask me
about Linux now I would recommend Ubuntu or Debian.
The reason is that I upgrade every week and almost every second or third week something is broken, I have to hunt
for fixes and solution and keep recompiling when my wife enjoy watching the TV; so right now Gentoo Linux is
steeling time from my family - Linux stability with Gentoo gone!


--
#Joseph
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-17-2008, 02:16 PM
Allan Gottlieb
 
Default gnucash won't start--PLEASE help

At Sat, 16 Feb 2008 23:48:09 -0700 Joseph <syscon@interbaun.com> wrote:

> On 02/17/08 00:21, Allan Gottlieb wrote:
>>> The same way when I file a bug about new php-5.2.5_p20080206 when
>>> it came out. The bug was dismissed "closed" the same day I file
>>> it, week later the php was downgraded to current one php-5.2.5-r1
>>
>>In some sense the downgrade was the response to your bug. Of course
>>the bug report should not have been dismissed
>>
>>> I've been with Gentoo for over 4-years and I am getting tired of
>>> babysitting the system on the weekends. Maybe I'll try Debian
>>> stable. I need something that works.
>>
>>I hope you don't. By filing bugs when bugs do exist, you are
>>helping us all; even if you are not treated as you should be.
>>
>>Also your previous msg stating that you hit the same problem that I
>>did was comforting to me. Thanks for sending it.
>>
>>sincerely, allan
>
> I recompile / downgraded "libpcre" - didn't help; next I downgraded
> "guile-1.8.2" to "guile-1.6.8" (followed by revdep-rebild) so two
> packages were rebuild: dev-libs/g-wrap app-office/gnucash
>
> Now, gnucash is starting normally no more "segmentation errors" But
> I'm not sure if this is the solution since on my Gentoo backup
> gnucash is working OK with guile-1.8.2 Maybe I'll follow the advise
> of "jstead1" from his post:
> http://forums.gentoo.org/viewtopic-t-601976-highlight-gnucash.html
>
> Another problem right now I have is that "udept" package command:
> dep -k "package_name" is not reporting installed packages correctly
> anymore. In addition when I re-emerged "php" I did not receive any
> email notification about this package. Next, I upgraded to kernel
> "linux-2.6.23-gentoo-r8" and my when I start or shutdown I get a
> blank screen.
>
> Going back to my rant, three years ago if somebody ask me about
> Linux I would recommend Gentoo to anybody it was relatively stable
> and easy to use; if somebody ask me about Gentoo a year ago I
> wouldn't say anything; if somebody ask me about Linux now I would
> recommend Ubuntu or Debian. The reason is that I upgrade every week
> and almost every second or third week something is broken, I have to
> hunt for fixes and solution and keep recompiling when my wife enjoy
> watching the TV; so right now Gentoo Linux is steeling time from my
> family - Linux stability with Gentoo gone!

Thanks for all your help. I have had less trouble than you.
I actually upgrade nearly every day. I was bitten by the big problem
(I forget the package) a few months ago and before that might have had
a year without trouble.

It does look as though this time the response to the bug was pretty
good. I will try the fix mentioned there

The following combination should work:
=dev-scheme/guile-1.8.2
=dev-libs/g-wrap-1.9.6-r3
=dev-scheme/slib-3.1.1-r1

Install in this order again. Then reemerge gnucash and report back.

and report back.

Once again, thanks for your help.

allan
--
gentoo-user@lists.gentoo.org mailing list
 
Old 02-17-2008, 05:02 PM
Joseph
 
Default gnucash won't start--PLEASE help

On 02/17/08 10:16, Allan Gottlieb wrote:

It does look as though this time the response to the bug was pretty
good. I will try the fix mentioned there

The following combination should work:
=dev-scheme/guile-1.8.2
=dev-libs/g-wrap-1.9.6-r3
=dev-scheme/slib-3.1.1-r1

Install in this order again. Then reemerge gnucash and report back.

and report back.

Once again, thanks for your help.


Yes, I can confirm emerging in this sequence fixes the problem with gnucash
Thanks

One down, many more to go :-/

--
#Joseph
GPG KeyID: ED0E1FB7
--
gentoo-user@lists.gentoo.org mailing list
 

Thread Tools




All times are GMT. The time now is 07:11 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org